The caller's identity verification status.
curl --request GET \
--url https://api.symbiosis.markets/auth/kyc \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.symbiosis.markets/auth/kyc"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.symbiosis.markets/auth/kyc', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"can_start": true,
"status": "not_started",
"inquiry_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}Auth
The caller's identity verification status.
Takes the kyc_challenge from login. No session is issued until the status is approved.
GET
/
auth
/
kyc
The caller's identity verification status.
curl --request GET \
--url https://api.symbiosis.markets/auth/kyc \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.symbiosis.markets/auth/kyc"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.symbiosis.markets/auth/kyc', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"can_start": true,
"status": "not_started",
"inquiry_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}Authorizations
KYC challenge from POST /auth/login, returned instead of a session token until the account is approved.
Response
The caller's identity verification status.
The caller's identity verification status.
Whether POST /auth/kyc/inquiry returns a link in this state.
status
Option 1 · stringOption 2 · stringOption 3 · stringOption 4 · stringOption 5 · stringOption 6 · stringOption 7 · string
required
Identity verification status. Only an approved account is issued a session.
Allowed value:
"not_started"The current Persona inquiry, if any.
When Persona last reported on the inquiry.